TF_SS< KEYS, STANDARD, H, ALG_INFO > Class Template Reference

Trapdoor Function (TF) Signature Scheme. More...

Inheritance diagram for TF_SS< KEYS, STANDARD, H, ALG_INFO >:

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< ALG_INFO, KEYS, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>
class TF_SS< KEYS, STANDARD, H, ALG_INFO >

Trapdoor Function (TF) Signature Scheme.

Template Parameters

  STANDARD | standard
  H | hash function
  KEYS | keys used in the signature scheme
  ALG_INFO | algorithm information

Definition at line 2315 of file pubkey.h.

## Member Typedef Documentation

## Standard

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>

typedef STANDARD TF_SS< KEYS, STANDARD, H, ALG_INFO >::Standard

see SignatureStandard for a list of standards

Definition at line 2319 of file pubkey.h.

## MessageEncodingMethod

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>

typedef Standard::SignatureMessageEncodingMethod TF_SS< KEYS, STANDARD, H, ALG_INFO >::MessageEncodingMethod

Definition at line 2320 of file pubkey.h.

## SchemeOptions

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>

typedef TF_SignatureSchemeOptions<ALG_INFO, KEYS, MessageEncodingMethod, H> TF_SS< KEYS, STANDARD, H, ALG_INFO >::SchemeOptions

Definition at line 2321 of file pubkey.h.

## Signer

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>

typedef PK_FinalTemplate<TF_SignerImpl<SchemeOptions> > TF_SS< KEYS, STANDARD, H, ALG_INFO >::Signer

implements PK_Signer interface

Definition at line 2326 of file pubkey.h.

## Verifier

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>

typedef PK_FinalTemplate<TF_VerifierImpl<SchemeOptions> > TF_SS< KEYS, STANDARD, H, ALG_INFO >::Verifier

implements PK_Verifier interface

Definition at line 2328 of file pubkey.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class KEYS, class STANDARD, class H, class ALG_INFO = TF_SS<KEYS, STANDARD, H, int>>

std::string TF_SS< KEYS, STANDARD, H, ALG_INFO >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 2323 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h